/******************************************************************************
;  *   	@MCU				 : MC30P6080
;  *   	@Create Date         : 2019.12.20
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2019 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------	
;  *   	No  Version  Date              Revised By   Item     Description
;  *    1   V1.0     2019.12.23    	   INT0 ⲿж  P11½شP14תһ 	   	  
									   INT1 ⲿж  P12½شP15תһ 

  ******************************************************************************/

#include "user.h" 
   

/************************************************
;  *    @Function Name       : CLR_RAM
;  *    @Description         : ʼRAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void CLR_RAM(void)
{      	       	
    for(FSR0=0;FSR0<0xff;FSR0++) 
   	{
   	   	INDF0=0x00;
   	}
   	FSR0=0xFF;
   	INDF0=0x00;    	
}
/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         : ioڳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void IO_Init(void)
{
   	IOP0=0x00; 	   	   	//ioλ
   	OEP0=0xEA; 	   	   	//ioڷ 1:out  0:in   P001Ϊ©
   	PUP0=0x00; 	   	   	//io   1:enable  0:disable
   	PDP0=0x00; 	   	   	//io   1:enable  0:disable
   	ANSEL0=0x00;   	   	//ioѡ  1:ģ  0:ͨio
   	
   	IOP1=0x01; 	   	   	//ioλ
   	OEP1=0xF9; 	   	   	//ioڷ 1:out  0:in   P13Ϊ©    
   	PUP1=0x00; 	   	   	//io   1:enable  0:disable
   	PDP1=0x00; 	   	   	//io   1:enable  0:disable
   	ANSEL1=0x00;   	   	//ioѡ  1:ģ  0:ͨio

   	DRVCR=0x80;
}
/************************************************
;  *    @Function Name       : INT_Init
;  *    @Description         : ⲿжϳʼ
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void INT_Init(void)    	   	
{
   	/*************INT0**************/  
   	MCR=0x05;      //INT0½ж
   	PUP1=0x06;      //
   	OEP1=0xF9; 	   	//in

   	INT0IF=0;   
   	INT0IE=1;  	   	//ⲿжʹ
   	/**************INT1************/
   	MCR=0x05;  	   	//INTI½ж
   	PUP1=0x06;      //
   	OEP1=0xF9; 	   	//in

   	INT1IF=0;   
   	INT1IE=1;  	   	//ⲿжʹ
}
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
   	IO_Init();
    INT_Init();
   	GIE=1;        
}
void main(void)
{
   	Sys_Init();
   	while(1)
   	{

   	}
}


void int_isr(void) __interrupt
{     
   	__asm
   	   	movra   _abuf
   	   	swapar  _PFLAG
   	   	movra   _statusbuf
   	__endasm;
//=========INT0=====================

   	if((INT0IF)&&(INT0IE))
   	{
   	   	INT0IF=0;
   	   	P14D=!P14D;
   	}

//=========INT1=====================
   	if((INT1IF)&&(INT1IE))
   	{
   	   	INT1IF=0;
   	   	P15D=!P15D;
   	}

   	__asm
   	   	swapar  _statusbuf
   	   	movra   _PFLAG
   	   	swapr   _abuf
   	   	swapar  _abuf
   	__endasm;
}

/**************************** end of file *********************************************/




























