/******************************************************************************
;  *   	@MCU   	   	   	   	 : MC32P7311
;  *   	@Create Date         : 2019.12.23
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2019 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *   	   	   	   	   	  LVD  VDDѹ4V,P17,֮
******************************************************************************/	

#include "user.h"

/************************************************
;  *    @Function Name       : C_RAM
;  *    @Description         : ʼRAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void CLR_RAM(void)
{
   	for (FSR0 = 0; FSR0 < 0xff; FSR0++)
   	{
   	   	INDF0 = 0x00;
   	}
   	FSR0 = 0xFF;
   	INDF0 = 0x00;
}
/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         : ioڳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void IO_Init(void)
{
   	IOP0 = 0x00;   //ioλ
   	OEP0 = 0xFF;   //ioڷ 1:out  0:in   P001Ϊ©
   	PUP0 = 0x00;   //io   1:enable  0:disable
   	PDP0 = 0x00;   //io   1:enable  0:disable
   	ANSEL0 = 0x00; //ioѡ  1:ģ  0:ͨio

   	IOP1 = 0x00;   //ioλ
   	OEP1 = 0xFF;   //ioڷ 1:out  0:in   P13Ϊ©
   	PUP1 = 0x00;   //io   1:enable  0:disable
   	PDP1 = 0x00;   //io   1:enable  0:disable
   	ANSEL1 = 0x00; //ioѡ  1:ģ  0:ͨio

   	DRVCR = 0x80;
}
/************************************************
;  *    @Function Name       : LVD_Init
;  *    @Description         : 
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void LVD_Init(void)
{
	LVDCR&=0x87;
	LVDCR|=0x70;			//4V
	LVDEN=1;
}
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/
void Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
   	IO_Init();
   	LVD_Init();
   	GIE = 1;
}
void main(void)
{
   	Sys_Init();
   	while (1)
   	{
		if(LVDF==1)		//ѹ
		{
			LVD_STATE_IO_OUT=1;
		}else
		{
			LVD_STATE_IO_OUT=0;
		}
		   
   	}
}

void int_isr(void) __interrupt
{
__asm 
   	movra _abuf
   	swapar _PFLAG
   	movra _statusbuf
__endasm;
   	//òжϿɾ  ԼROM
   	//=======T0========================
   	if (T0IF & T0IE)
   	{
   	   	T0IF = 0;
   	}
   	//=======T1========================
   	if (T1IF & T1IE)
   	{
   	   	T1IF = 0;
   	}
   	//=======T2========================
   	if (T2IF & T2IE)
   	{
   	   	T2IF = 0;
   	}
   	//=======T3========================
   	if (T3IF & T3IE)
   	{
   	   	T3IF = 0;
   	}
   	//=============================
   	if (KBIF & KBIE)
   	{
   	   	KBIF = 0;
   	}
   	//=======ADC=======================
   	if (ADIF & ADIE)
   	{
   	   	ADIF = 0;
   	}
   	//=======ⲿж0=================
   	if (INT0IF & INT0IE)
   	{
   	   	INT0IF = 0;
   	}
   	//=======ⲿж1=================
   	if (INT1IF & INT1IE)
   	{
   	   	INT1IF = 0;
   	}
__asm 
   	swapar _statusbuf
   	movra _PFLAG
   	swapr _abuf
   	swapar _abuf
__endasm;
}
