/******************************************************************************
;  *   	@MCU				 : MC30P6080
;  *   	@Create Date         : 2019.12.20
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2019 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *   	   	   	   	   	  HOLDģʽ2,T0(ʱڲ32K)1S	P17ת
******************************************************************************/
#include "MC32P7311.h"
#include "user.h"


/************************************************
;  *    @Function Name       : CLR_RAM
;  *    @Description         : ʼRAM
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void CLR_RAM(void)
{      	       	
    for(FSR0=0;FSR0<0xff;FSR0++) 
   	{
   	   	INDF0=0x00;
   	}
   	FSR0=0xFF;
   	INDF0=0x00;    	
}
/************************************************
;  *    @Function Name       : IO_Init
;  *    @Description         : ioڳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void IO_Init(void)
{
   	IOP0=0x00; 	   	   	//ioλ
   	OEP0=0xFF; 	   	   	//ioڷ 1:out  0:in   P001Ϊ©
   	PUP0=0x00; 	   	   	//io   1:enable  0:disable
   	PDP0=0x00; 	   	   	//io   1:enable  0:disable
   	ANSEL0=0x00;   	   	//ioѡ  1:ģ  0:ͨio
   	
   	IOP1=0x00; 	   	   	//ioλ
   	OEP1=0xFF; 	   	   	//ioڷ 1:out  0:in   P13Ϊ©
   	PUP1=0x00; 	   	   	//io   1:enable  0:disable
   	PDP1=0x00; 	   	   	//io   1:enable  0:disable
   	ANSEL1=0x00;   	   	//ioѡ  1:ģ  0:ͨio

   	DRVCR=0x80;
}
/************************************************
;  *    @Function Name       : TIMER0_INT_Init
;  *    @Description         : 
;  *    @IN_Parameter        :
;  *    @Return parameter    :
;  ***********************************************/
void TIMER0_INT_Init(void)     	   	
{
   	T0CR&=0Xff;
   	T0CR|=0x17;	   	   	//Fcpu 128  FLOSC
   	T0CNT=0xff;
   	T0LOAD=0xff;
   	T0IE=1;
   	//TC0EN=1;
}
/************************************************
;  *    @Function Name       : Sys_Init
;  *    @Description         : ϵͳʼ
;  *    @IN_Parameter      	 : 
;  *    @Return parameter    :
;  ***********************************************/  
void Sys_Init(void)
{
   	GIE = 0;
   	CLR_RAM();
   	IO_Init();
    TIMER0_INT_Init();
   	GIE=1; 
   	TC0EN=1;       
}
void main(void)
{
   	Sys_Init();
   	HFEN=0;
   	LFEN=1;	   	   	//رոƵ,ڲƵʼչ
   	while(1)
   	{
   	   	Nop();
   	   	Nop();
   	   	Stop();	   	   	
   	   	Nop();
   	   	Nop();
   	   	P17D=!P17D;
   	}
}

void int_isr(void) __interrupt
{
   	__asm
   	   	movra   _abuf
   	   	swapar  _PFLAG
   	   	movra   _statusbuf
   	__endasm;
//=======T0========================
    if(T0IF&T0IE)
   	{
   	   	T0IF=0;
   	   	P16D=!P16D;
   	}
   	//òжϿɾ  ԼROM
//=======T1========================
    if(T1IF&T1IE)
   	{
   	   	T1IF=0;

   	   	
   	}
//=======T2========================
    if(T2IF&T2IE)
   	{
   	   	T2IF=0;
   	
   	}
//=======T3========================
    if(T3IF&T3IE)
   	{
   	   	T3IF=0;
   	}
//=============================
    if(KBIF&KBIE)
   	{
   	   	KBIF=0;
   	}
//=======ADC=======================
   	if(ADIF&ADIE)
   	{
   	   	ADIF=0;
   	}
//=======ⲿж0=================
   	if(INT0IF&INT0IE)
   	{
   	   	INT0IF=0;
   	}
//=======ⲿж1=================
   	if(INT1IF&INT1IE)
   	{
   	   	INT1IF=0;
   	}
   	__asm
   	   	swapar  _statusbuf
   	   	movra   _PFLAG
   	   	swapr   _abuf
   	   	swapar  _abuf
   	__endasm;
}


/**************************** end of file *********************************************/





























